---
title: docker_tidy
type: docs
---

[![Source Code](https://img.shields.io/badge/gitea-source%20code-blue?logo=gitea&logoColor=white)](https://gitea.rknet.org/ansible/xoxys.docker_tidy) [![Build Status](https://img.shields.io/drone/build/ansible/xoxys.docker_tidy?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/ansible/xoxys.docker_tidy) [![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://gitea.rknet.org/ansible/xoxys.docker_tidy/src/branch/main/LICENSE)

Setup docker-tidy garbage collector. Keep docker hosts small.

<!--more-->

- [Default Variables](#default-variables)
  - [dockertidy_dangling_volumes](#dockertidy_dangling_volumes)
  - [dockertidy_docker_socket_path](#dockertidy_docker_socket_path)
  - [dockertidy_dry_run](#dockertidy_dry_run)
  - [dockertidy_exclude_container_label](#dockertidy_exclude_container_label)
  - [dockertidy_exclude_container_labels](#dockertidy_exclude_container_labels)
  - [dockertidy_exclude_image](#dockertidy_exclude_image)
  - [dockertidy_exclude_images](#dockertidy_exclude_images)
  - [dockertidy_image](#dockertidy_image)
  - [dockertidy_interval](#dockertidy_interval)
  - [dockertidy_log_level](#dockertidy_log_level)
  - [dockertidy_max_container_age](#dockertidy_max_container_age)
  - [dockertidy_max_image_age](#dockertidy_max_image_age)
- [Dependencies](#dependencies)

---

## Default Variables

### dockertidy_dangling_volumes

Remove dangling volumes.

#### Default value

```YAML
dockertidy_dangling_volumes: false
```

### dockertidy_docker_socket_path

#### Default value

```YAML
dockertidy_docker_socket_path: /var/run/docker.sock
```

### dockertidy_dry_run

Only log actions, don't cleanup anything.

#### Default value

```YAML
dockertidy_dry_run: false
```

### dockertidy_exclude_container_label

Never remove containers with this label `key` or label `key=value`.

### dockertidy_exclude_container_labels

#### Default value

```YAML
dockertidy_exclude_container_labels: []
```

### dockertidy_exclude_image

Never remove images with this tag.

### dockertidy_exclude_images

#### Default value

```YAML
dockertidy_exclude_images: []
```

### dockertidy_image

Docker image to use.

#### Default value

```YAML
dockertidy_image: thegeeklab/docker-tidy:latest
```

### dockertidy_interval

Interval for the systemd timer.

#### Default value

```YAML
dockertidy_interval: daily
```

### dockertidy_log_level

Current log level.

#### Default value

```YAML
dockertidy_log_level: warning
```

### dockertidy_max_container_age

Maximum age for a container, containers older than this age will be removed.

#### Default value

```YAML
dockertidy_max_container_age: 5 days ago
```

### dockertidy_max_image_age

Maxium age for an image, images older than this age will be removed.

#### Default value

```YAML
dockertidy_max_image_age: 3 days ago
```



## Dependencies

None.
